Yes, this extension works with WooCommerce versione 2.0.x